﻿using Hotline.Share.Requests;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Order
{
	public class OrderUrgeDto
	{

		/// <summary>
		/// 工单ID
		/// </summary>
		public string OrderId { get; set; }

		/// <summary>
		/// 被督办部门ID
		/// </summary>
		public string OrgId { get; set; }

		/// <summary> 
		/// 督办状态
		/// </summary>
		public int state { get; set; }

		/// <summary>
		/// 附件
		/// </summary>
		public List<string>? Additions { get; set; } = new();
	}

	public class ApplyOrderUrgeDto : OrderUrgeDto
	{
		/// <summary>
		/// 督办回复时限
		/// </summary>
		public DateTime ReplyLimitTime { get; set; }

		/// <summary>
		/// 督办申请内容
		/// </summary>
		public string ApplyContent { get; set; }
	}
	public class ReplyOrderUrgeDto : OrderUrgeDto
	{

		public string Id { get; set; }

		/// <summary>
		/// 督办回复内容
		/// </summary>
		public string ReplyContent { get; set; }


		/// <summary>
		/// 回复人
		/// </summary>
		public string ReplyId { get; set; }
	}

	public class SignOrderUrgeDto 
	{
		public string Id { get; set; }
	}


}
